Debian Bug report logs - #165154
RFP: cube-engine -- Cube: a promising looking old-style 3D-First-Person-Shooter

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Erich Schubert <erich@debian.org>

Date: Thu, 17 Oct 2002 08:33:04 UTC

Severity: wishlist

Done: damog@cerdita.damog.net (David Moreno Garza)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#165154; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Erich Schubert <erich@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Erich Schubert <erich@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: cube-engine -- Cube: a promising looking old-style 3D-First-Person-Shooter
Date: Thu, 17 Oct 2002 10:32:06 +0200
Package: wnpp
Version: unavailable; reported 2002-10-17
Severity: wishlist

* Package name    : cube-engine
  Version         : oct 10 release
  Upstream Author : wouter@fov120.com
* URL             : http://wouter.fov120.com/cube/index.php4
* License         : ZLib licence
  Description     : Cube: 3D-First-Person-Shooter Engine

 Landscape-style engine that pretends to be an indoor first person
 shooter engine. Combines very high precision dynamic occlusion culling
 with a form of geometric mipmapping on the whole world for dynamic LOD
 for configurable fps & graphic detail on most machines. Uses OpenGL &
 SDL.

 Allows in-engine editing of geometry in full 3D (you fly around the
 map, point / drag stuff to select it / modify it), which can even be
 done with multiple people at once (a first!). Has simplistic but
 effective fine grain vertex lighting that looks like lightmapping and
 can do dynamic lights & shadows. Doesn't need any kind of map
 precompilation, even lighting is done on the fly. Has very simplistic
 quad-tree world structure that can do slopes (heightfields with caps)
 and slants, water, does decent collision detection & physics, has
 client/server networking that goes a long way in giving a lag-free game
 experience, and features a Doom/Quake-style singleplayer and
 multiplayer game with some uncompromising brutal oldskool gameplay.

The Screenshots on http://wouter.fov120.com/cube/shots.php4 look very
promising, at it seems there are already a few clans for this game...

Changelog according to happypenguin.org:
* added full source code to the distribution (ZLIB license)

Earlier comment from the author on happypenguion.org:
"It _WILL_ be opensource in the future, however not GPL but new BSD license."
Guess that time has come ;)

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux bombadil.xmldesign.de 2.4.19-pre8-jp13 #1 Mon Jun 3 16:50:49 CEST 2002 i686
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (ignored: LC_ALL set)


Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#165154; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dnb114@psu.edu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 165154@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dnb114@psu.edu>
To: Erich Schubert <erich@debian.org>, 165154@bugs.debian.org
Subject: Re: Bug#165154: RFP: cube-engine -- Cube: a promising looking old-style 3D-First-Person-Shooter
Date: Thu, 17 Oct 2002 09:03:21 -0400
  I'd also like to see this packaged.

On Thu, Oct 17, 2002 at 10:32:06AM +0200, Erich Schubert <erich@debian.org> was heard to say:
> Changelog according to happypenguin.org:
> * added full source code to the distribution (ZLIB license)

  Note that the "official" client binary in the distribution is not the
same as what you get by compiling the source; the author modified the
network code so that 

  Whoever picks this up should also ask about the license on the default
data -- it looks non-free to me.

          License:                                                              
          Cube is freeware, you may use Cube for any purpose as long            
          as you don't blame me for any damages incurred, and you may           
          freely distribute the cube archive unmodified on any media.           
          If you wish to use the cube source code (ZLIB license),               
          read the source/readme.txt file carefully.

  Daniel

-- 
/-------------------- Daniel Burrows <dburrows@debian.org> -------------------\
|            Whom the gods would destroy, they first teach BASIC.             |
\------- (if (not (understand-this)) (go-to http://www.schemers.org)) --------/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#165154; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dnb114@psu.edu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 165154@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dnb114@psu.edu>
To: Erich Schubert <erich@debian.org>, 165154@bugs.debian.org
Subject: Re: Bug#165154: RFP: cube-engine -- Cube: a promising looking old-style 3D-First-Person-Shooter
Date: Thu, 17 Oct 2002 09:04:05 -0400
On Thu, Oct 17, 2002 at 09:03:21AM -0400, Daniel Burrows <dnb114@psu.edu> was heard to say:
>   Note that the "official" client binary in the distribution is not the
> same as what you get by compiling the source; the author modified the
> network code so that 

  ...modified the network code in an attempt to prevent cheating.

  Daniel

-- 
/-------------------- Daniel Burrows <dburrows@debian.org> -------------------\
|                   "Truly, you have a dizzying intellect."                   |
|                     -- "The Princess Bride"                                 |
\---------------------- A duck! -- http://www.python.org ---------------------/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#165154; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Pascal Giard <evilynux@yahoo.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #20 received at 165154@bugs.debian.org (full text, mbox):

From: Pascal Giard <evilynux@yahoo.com>
To: 165154@bugs.debian.org
Subject: Data licenses
Date: Sat, 19 Jun 2004 21:25:17 +0200 (CEST)
The readme in source/ specifies that we have to take a look at the individual readme's for
licenses on the data.
That's what i did, and found out that it depends...

It's almost half-half...
Some data is in the public domain while the others are non-free (restrictions on the commercial
use).

Perhaps the best would be something like creating 3 packages:
cube (games)
cube-data (games)
cube-data-extra (non-free/games)

What do you think ?

On a side note, i've already been working on a package, but it needs great modifications...
I had modified an older release (2003_12_23)...

I know the author insists that it's a one-man project and that he won't accept
modifications/patches but i don't know how he'd react to packaging modifications.
For example, i've modified the package to use autotools.

-Pascal


	

	
		
Créez gratuitement votre Yahoo! Mail avec 100 Mo de stockage !
Créez votre Yahoo! Mail sur http://fr.benefits.yahoo.com/

Dialoguez en direct avec vos amis grâce à Yahoo! Messenger !Téléchargez Yahoo! Messenger sur http://fr.messenger.yahoo.com



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#165154; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Pascal Giard <evilynux@yahoo.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #25 received at 165154@bugs.debian.org (full text, mbox):

From: Pascal Giard <evilynux@yahoo.com>
To: 165154@bugs.debian.org
Subject: Cube
Date: Sun, 20 Jun 2004 05:22:43 +0200 (CEST)
Unfortunatly, it will most likely have to be:
cube (contrib)
cube-data (contrib)
cube-data-non-free (non-free)

The reason is that cube can't run without cube-data-non-free.

also, a problem arises, there isn't any libenet debian package.

-Pascal


	

	
		
Créez gratuitement votre Yahoo! Mail avec 100 Mo de stockage !
Créez votre Yahoo! Mail sur http://fr.benefits.yahoo.com/

Dialoguez en direct avec vos amis grâce à Yahoo! Messenger !Téléchargez Yahoo! Messenger sur http://fr.messenger.yahoo.com



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#165154; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Pascal Giard" <pascal@gull-ets.etsmtl.ca>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #30 received at 165154@bugs.debian.org (full text, mbox):

From: "Pascal Giard" <pascal@gull-ets.etsmtl.ca>
To: 165154@bugs.debian.org
Subject: FTBFS on cube_2004_05_22.tar.gz
Date: Sun, 4 Jul 2004 10:53:30 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I sent an email to the author of Cube because i FTBFS on
cube_2004_05_22.tar.gz and     cube_2004_06_06_linux_client_ATI_workaround.zip
doesn't contain any source code.

But, I still haven't gotten any answer. Unfortunatly, i doubt i'll ever get one.
He doesn't seem to be very talkative :-(

- -Pascal
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFA6Bw91Lfd97FsypURAnxRAJ0RIYvDOVLxTqosyUt93Py1w5HTEwCfYrjk
lbQ7U6WgMYhZ3mFD3aP1xyg=
=J8wZ
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#165154; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Pascal Giard <evilynux@yahoo.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #35 received at 165154@bugs.debian.org (full text, mbox):

From: Pascal Giard <evilynux@yahoo.com>
To: 165154@bugs.debian.org
Subject: I no longer ITP
Date: Wed, 11 Aug 2004 08:51:55 +0200 (CEST)
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I got to exchange emails with Wouter van Oortmerssen, the upstream maintainer of Cube and i no
longer intend to package cube for Debian.

We didn't reach concensus about the possible inclusion of cube binaries compiled from the source
in Debian. From Wouter's point of view, it would be bad because the binairies compiled from source
are not compatible with the official binairies. That would lead to a certain amount of users
asking for help.

- -Pascal
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFBGcKp1Lfd97FsypURAi52AKCvzooNyN7/aIqHOSb48QeoIg/Z9wCdEJDr
WgHisZH+O2AsvpbE/CPMkaQ=
=+eF0
-----END PGP SIGNATURE-----


	

	
		
Vous manquez d’espace pour stocker vos mails ? 
Yahoo! Mail vous offre GRATUITEMENT 100 Mo !
Créez votre Yahoo! Mail sur http://fr.benefits.yahoo.com/

Le nouveau Yahoo! Messenger est arrivé ! Découvrez toutes les nouveautés pour dialoguer instantanément avec vos amis. A télécharger gratuitement sur http://fr.messenger.yahoo.com



Reply sent to damog@cerdita.damog.net (David Moreno Garza):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Erich Schubert <erich@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #40 received at 165154-done@bugs.debian.org (full text, mbox):

From: damog@cerdita.damog.net (David Moreno Garza)
To: 165154-done@bugs.debian.org
Subject: WNPP bug closed
Date: Wed, 14 Sep 2005 21:55:08 -0500 (CDT)
Hello,

This is an automatic mail sent to close the RFP you have reported or 
are involved with.

Your RFP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 600 days.
- It haven't had any activity recently.
- The amount of ITPs on the Debian BTS is huge and we need to
  clean up a bit the place.

As this an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the RFP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

reopen 123456
thanks bts

Replacing '123456' for the number of your RFP bug. The subject of the
mail is ignored. Or if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

This is the first mass wnpp closing that will be done. The next close
will be done on inactive RFPs older than 450 days and finally, the
ones older than 365 days (an automatic script will close *inactive*
RFPs when they reach one year old).

A similar process is being applied to the ITP wnpp bugs in these
days.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>  Wed, 14 Sep 2005 21:54:42 -0500



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 08:33:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:43:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.